# 
# Exodus
# Copyright (C) 2014
#
# author: Natapol Pornputtapong <natapol.por@gmail.com>
#
# Documentation: Natapol Pornputtapong (RDoc'd and embellished by William Webber)
#

# raise "Please, use ruby 1.9.0 or later." if RUBY_VERSION < "1.9.0"

module Exodb
	
	NAIUPAC = {
		'Y'	=> 'CT',
		'R'	=> 'AG',
		'W'	=> 'AT',
		'S'	=> 'CG',
		'K'	=> 'GT',
		'M'	=> 'AC',
		
		'B'	=> 'CGT',
		'D'	=> 'AGT',
		'H'	=> 'ACT',
		'V'	=> 'ACG',
		
		'N'	=> 'ACGT',
		
		'A'	=> 'A',
		'T'	=> 'T',
		'G'	=> 'G',
		'C'	=> 'C',
		'U'	=> 'U',
		
		'CT' => 'Y',
		'AG' => 'R',
		'AT' => 'W',
		'CG' => 'S',
		'GT' => 'K',
		'AC' => 'M',
		
		'CGT' => 'B',
		'AGT' => 'D',
		'ACT' => 'H',
		'ACG' => 'V',
		
		'ACGT' => 'N'
	}
	
	ASSEMBLY = {
		'hg19' => 'GRCh37',
		'hg38' => 'GRCh38',
		'GRCh37' => 'GRCh37',
		'GRCh38' => 'GRCh38',
		'grch37' => 'GRCh37',
		'grch38' => 'GRCh38'
	}
	
	DEFAULTASSEMBLY = 'GRCh37'
	LATESTASSEMBLY = 'GRCh38'
	
	HGVPATTERN = /^([^:]+):g\.([\-_\d]+)([ATGC]>[ATCG]|del[ATCG]*|ins[ATCG]*)$/
	
end